#ifndef CHEAT_COOLANT_HPP_
#define CHEAT_COOLANT_HPP_

#include <Item/INuclearReactorComponent.hpp>
#include <Item/StatelessItem/BasicItem/BasicItem.hpp>

/**
 * @brief Unconditionally cools the nuclear reactor cell it's in to absolute zero.
 */
class CheatCoolant : public BasicItem, public INuclearReactorComponent
{
public:
    CheatCoolant(std::string name);

    virtual void describeInNuclearReactor(ItemStack &stack, std::ostream &os) override;
    virtual bool updateNuclearReactor(ItemStack &stack, MNuclearReactor &reactor, glm::ivec2 cellPos) override;
    virtual float getHeatConductivity(ItemStack &stack) override;
};

#endif